% PPE4 : Moshi-moshi, statistiques d'appels téléphoniques.
%
% User documentation
%
% Auteur : AZIBEIRO Clément
%%
\documentclass[11pt,a4paper,English]{article}
\title{Moshi-moshi}

\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage[T1]{fontenc}
\usepackage{graphicx}
\usepackage{hyperref}
\usepackage{varioref}
\usepackage{listings}
\usepackage{float}
\usepackage{xcolor}

\lstdefinestyle{DOS}
{
    backgroundcolor=\color{black},
    basicstyle=\scriptsize\color{white}\ttfamily
}

\author{Clément \textsc{Azibeiro}}
\title{\begin{Huge}
\textbf{Moshi-moshi}
\end{Huge}\\ User documentation}
\begin{document}

\maketitle

\newpage

\section{Installation and start}

Download the latest artifact named \emph{build-jar-master} \href{https://framagit.org/clement.azibeiro/moshi-moshi/pipelines}{here}\footnote{\url{https://framagit.org/clement.azibeiro/moshi-moshi/pipelines}}

\subsection{Require}
\begin{itemize}
    \item Java JDK 11.0.2\footnote{\url{https://jdk.java.net/archive/}},
    \item JCalendar 1.4\footnote{\url{https://toedter.com/jcalendar/}},
    \item PostgreSQL JDBC Driver 42.2.5\footnote{\url{https://jdbc.postgresql.org/}}
\end{itemize}

\subsection{Debian}
With the jar :
Execute this command in the \emph{src} directory :

\begin{lstlisting}[language=bash]
  $ java -jar moshi_moshi.jar
\end{lstlisting}

\subsection{Windows}
Double click on \emph{moshi\_moshi.jar}
\\
Else you can use the command prompt and execute this command in the \emph{src} directory :
\begin{lstlisting}[style=DOS]
java -jar moshi_moshi.jar
\end{lstlisting}

\subsection{Mac-OS}
With the jar :
Execute this command in the \emph{src} directory :

\begin{lstlisting}[language=bash]
  $ java -jar moshi_moshi.jar
\end{lstlisting}

\section{How to use Moshi-Moshi}

\subsection{On launch}

\begin{figure}[H]
\centering
\includegraphics[width=125pt]{Documentation/user_documentation/launch.png}
\caption{Launch page}\label{fig:launch}
\end{figure}

Type your login and password in the respective fields.
\\
\par
Administrator login :
\begin{itemize}
    \item[Login :] \emph{admin}
    \item [Password :] \emph{P@ssword}
\end{itemize}
\par
User test login :
\begin{itemize}
    \item[Login :] \emph{t.man}
    \item [Password :] \emph{password}
\end{itemize}

\subsection{Main page}

\begin{figure}[H]
\centering
\includegraphics[width=300pt]{Documentation/user_documentation/main.png}
\caption{Main page}\label{fig:main}
\end{figure}

On this main page you can choose to show statistics of the day, month, year or a specific date. On start, the default button select is \emph{Today}.
\par
You can also click on the buttons \emph{Call time}, \emph{Total calls}, \emph{Failed Calls}, \emph{Successful calls} that's will show you a list of calls (see figure \vref{fig:successful_calls}).
\par
The button \emph{Operators} will show you the current list of operators only (see figure \vref{fig:operators}).

\begin{figure}[H]
\centering
\includegraphics[width=300pt]{Documentation/user_documentation/successful_calls.PNG}
\caption{Successful calls of the month}\label{fig:successful_calls}
\end{figure}

\subsection{Operators list}

\begin{figure}[H]
\centering
\includegraphics[width=300pt]{Documentation/user_documentation/operators.PNG}
\caption{Operators list}\label{fig:operators}
\end{figure}

Clicked on the \emph{Operators} button give you access to the list of the operators but also their management. The page to edit or delete users use a list and text field to choose the user to manage.
\par
According to your role, you will enabled to manage operators. There is two role possible \emph{Operator} and \emph{Admin}.

\subsubsection{Operator role}
The user connected with this role allows him to click on the red button of his row to change his status, if he click on it it will be green and vice versa. With this role he can also edit his information (see figure \vref{fig:user_modification}) except his role and supervisor.

\begin{figure}[H]
\centering
\includegraphics[width=250pt]{Documentation/user_documentation/user_modification.PNG}
\caption{User modification page}\label{fig:user_modification}
\end{figure}

\subsubsection{Admin role}
The admin role is given to supervisors or administrators and give all the permissions. The user connected with this role allows him to manage the status of all the operators and he also can create, edit or delete a user (Operator or administrator), (see figure \vref{fig:add_user}, figure \vref{fig:user_modification} and figure \vref{fig:delete_user}).

\begin{figure}[H]
\centering
\includegraphics[width=250pt]{Documentation/user_documentation/add_user.PNG}
\caption{Page to add a user}\label{fig:add_user}
\end{figure}

\begin{figure}[H]
\centering
\includegraphics[width=250pt]{Documentation/user_documentation/delete_user.PNG}
\caption{Page to delete a user}\label{fig:delete_user}
\end{figure}

\end{document}